package jaredbgreat.dldungeons.pieces.chests;

import jaredbgreat.dldungeons.builder.Builder;

import java.util.Random;

import net.minecraft.block.Block;
import net.minecraft.tileentity.TileEntityChest;
import net.minecraft.util.WeightedRandomChestContent;
import net.minecraft.world.World;
import net.minecraftforge.common.ChestGenHooks;

public class WeakChest extends BasicChest {
	
	
	public WeakChest(int x, int y, int z) {
		super(x, y, z, 0);		
	}
	
	@Override
	public void place(World world, int x, int y, int z, Random random) {
		Builder.placeBlock(world, x, y, z, chest, 0, 2);		
		TileEntityChest contents = (TileEntityChest)world.getTileEntity(x, y, z);
		if(random.nextBoolean()) {
			ChestGenHooks chinf = ChestGenHooks.getInfo(ChestGenHooks.BONUS_CHEST);
	        WeightedRandomChestContent.generateChestContents(random, 
	        		chinf.getItems(random), contents, chinf.getCount(random));
		}
		fillChest(contents, LootCategory.gear, random);
		fillChest(contents, LootCategory.heal, random);
	}
}
